
/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import "~@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@font-face {
  font-family: "regular";
  src: url(assets/fonts/Poppins-Regular.ttf);
}

@font-face {
  font-family: "medium";
  src: url(assets/fonts/Poppins-Medium.ttf);
}

@font-face {
  font-family: "semi-bold";
  src: url(assets/fonts/Poppins-SemiBold.ttf);
}

@font-face {
  font-family: "bold";
  src: url(assets/fonts/Poppins-Bold.ttf);
}

* {
  font-family: "regular";
}

ion-label {
  display: block;
}

ion-button {
  margin: 0px;
}

.block_btn {
  margin: 0px;
  --border-radius: 8px;
  font-family: "medium";
  letter-spacing: 0.5px;
}

.bg_image {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

ion-title {
  font-weight: normal;
  font-size: 18px;
  font-family: "medium";
}

#ibs-content {
  padding-left: 0px !important;
  padding-right: 0px !important;
}

.p5 {
  padding: 0px !important;
}

ion-bottom-sheet {
  transform: translateY(-15px) !important;
}

.product_slider {
  width: 100%;
  display: flex;
  overflow: scroll;
  padding: 0px 16px !important;
  margin-bottom: 16px;

  .single_pro {
    background: white;
    width: 110px;
    min-width: 110px;
    border-radius: 8px;
    margin-right: 16px;

    .pro_image {
      width: 100%;
      height: 100px;
      border-top-left-radius: 8px;
      border-top-right-radius: 8px;
    }
    .food_detail {
      padding: 8px;

      .name_lbl {
        font-family: "medium";
      }

      .detail_flex {
        display: flex;
        align-items: center;

        ion-icon {
          color: #a2aac1;
        }

        ion-label {
          color: #a2aac1;
          font-size: 12px;
          margin-left: 4px;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
        }
      }

      .price_flex {
        display: flex;
        align-items: center;
        justify-content: space-between;
        ion-label {
          color: var(--ion-color-primary);
        }
        ion-icon {
          color: var(--ion-color-primary);
          font-size: 24px;
        }
      }
    }
  }
}

ion-modal.variations_modal {
  --height: 90%;
  align-items: flex-end;

  .modal-wrapper {
    width: 100% !important;
  }
  &.bottom {
    align-items: flex-end !important;
  }
}
